Infinispan
  1. Infinispan
  2. ISPN-1962

infinispan cdi implementation is not 1.0 or 1.1 compliant

    Details

    • Similar Issues:
      Show 10 results 

      Description

      As discussed on infinispan and weld forum (see references), the

      org.infinispan.cdi.InfinispanExtension::registerCacheConfigurations(@Observes AfterDeploymentValidation event, CacheManagerEventBridge eventBridge, @Any Instance<EmbeddedCacheManager> cacheManagers, BeanManager beanManager)

      is not compliant to cdi 1.0 specification as it should only accept a BeanManager.

        Issue Links

          Activity

            People

            • Assignee:
              Kevin Pollet
              Reporter:
              Mathieu Lachance
            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: